|  | reflex::lazy_intersection< S1, S2 > Struct Template Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
reflex::lazy_intersection< S1, S2 > Struct Template Reference

Intersection of two ordered sets, with an iterator to get elements lazely. More...

`#include <setop.h>`

## Classes
struct | iterator
| Iterator to lazely get elements of a set intersection. More...

## Public Types
typedef struct iterator | const_iterator

## Public Member Functions
| lazy_intersection (const S1 &s1, const S2 &s2)
const_iterator | begin () const
const_iterator | end () const

## Public Attributes
const S1 & | s1
const S2 & | s2

## Detailed Description

### template<typename S1, typename S2>
struct reflex::lazy_intersection< S1, S2 >

Intersection of two ordered sets, with an iterator to get elements lazely.

## Member Typedef Documentation

template<typename S1, typename S2>

typedef struct iterator reflex::lazy_intersection< S1, S2 >::const_iterator

## Constructor & Destructor Documentation

template<typename S1, typename S2>

reflex::lazy_intersection< S1, S2 >::lazy_intersection | ( | const S1 & | s1,
|  | const S2 & | s2
| ) |  |
| inline

## Member Function Documentation

template<typename S1, typename S2>

const_iterator reflex::lazy_intersection< S1, S2 >::begin | ( |  | ) | const
| inline

template<typename S1, typename S2>

const_iterator reflex::lazy_intersection< S1, S2 >::end | ( |  | ) | const
| inline

## Member Data Documentation

template<typename S1, typename S2>

const S1& reflex::lazy_intersection< S1, S2 >::s1

template<typename S1, typename S2>

const S2& reflex::lazy_intersection< S1, S2 >::s2

The documentation for this struct was generated from the following file:

- setop.h